### Method

# Foundry DiagnosticBuilder add_range

#### Declaration [src]

    void
    foundry_diagnostic_builder_add_range (
      FoundryDiagnosticBuilder* self,
      guint begin_line,
      guint begin_line_offset,
      guint end_line,
      guint end_line_offset
    )

#### Description

No description available.

#### Parameters

`begin_line`

  Type: `guint`

  No description available.

`begin_line_offset`

  Type: `guint`

  No description available.

`end_line`

  Type: `guint`

  No description available.

`end_line_offset`

  Type: `guint`

  No description available.